From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/memphis/
Date: Thu, 12 Dec 2019 17:31:38 +0000 (UTC) [thread overview]
Message-ID: <1576171876.7e86ece96cd3b4d01e1cee9853f0ff1be4474332.soap@gentoo> (raw)
commit: 7e86ece96cd3b4d01e1cee9853f0ff1be4474332
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 12 17:31:16 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 12 17:31:16 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e86ece9
media-libs/memphis: Port to EAPI 7
Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-libs/memphis/memphis-0.2.3.ebuild | 45 +++++++++++++++++----------------
1 file changed, 23 insertions(+), 22 deletions(-)
diff --git a/media-libs/memphis/memphis-0.2.3.ebuild b/media-libs/memphis/memphis-0.2.3.ebuild
index 368aa1b0454..9063f96e907 100644
--- a/media-libs/memphis/memphis-0.2.3.ebuild
+++ b/media-libs/memphis/memphis-0.2.3.ebuild
@@ -1,14 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=7
WANT_AUTOMAKE=1.11
-AUTOTOOLS_AUTORECONF=true
-VALA_MIN_API_VERSION=0.12
-
-inherit autotools-utils vala
+inherit autotools vala
DESCRIPTION="A map-rendering application and a library for OpenStreetMap"
HOMEPAGE="http://trac.openstreetmap.ch/trac/memphis/"
@@ -17,36 +14,40 @@ SRC_URI="http://wenner.ch/files/public/mirror/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0.2"
KEYWORDS="alpha amd64 arm ia64 ppc ppc64 sparc x86"
-IUSE="debug doc +introspection vala static-libs"
+IUSE="debug doc +introspection vala"
RDEPEND="
- dev-libs/expat
+ dev-libs/expat:=
dev-libs/glib:2
- x11-libs/cairo
+ x11-libs/cairo:=
introspection? ( dev-libs/gobject-introspection )"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
doc? ( dev-util/gtk-doc )
vala? ( $(vala_depend) )"
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-DOCS=( AUTHORS ChangeLog NEWS README )
-
PATCHES=( "${FILESDIR}"/${P}-link_gobject.patch )
src_prepare() {
+ default
+ eautoreconf
+
unset VALAC
use vala && vala_src_prepare
- autotools-utils_src_prepare
}
src_configure() {
- local myeconfargs=(
- $(use_enable debug)
- $(use_enable doc gtk-doc)
- $(use_enable introspection)
+ econf \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_enable doc gtk-doc) \
+ $(use_enable introspection) \
$(use_enable vala)
- )
- CFLAGS="${CFLAGS}" \
- autotools-utils_src_configure
+}
+
+src_install() {
+ default
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
}
next reply other threads:[~2019-12-12 17:31 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-12 17:31 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-01-10 9:07 [gentoo-commits] repo/gentoo:master commit in: media-libs/memphis/ Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1576171876.7e86ece96cd3b4d01e1cee9853f0ff1be4474332.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox